using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using Xamarin.Forms;
using Xamarin.Forms.Xaml;
using XamarinStudy.Views;

namespace XamarinStudy.CustomViewCells
{
	[XamlCompilation(XamlCompilationOptions.Compile)]
	public partial class JobSelector : ContentPage
	{
		private SampleTableViewSimpleRegisterPage injectedRP;

		public JobSelector(SampleTableViewSimpleRegisterPage sender)
		{
			InitializeComponent();
			injectedRP = sender;
		}

		private void TextCell_Tapped(object sender, EventArgs e)
		{
			TextCell result = (TextCell)sender;
			injectedRP.SetJob(result.Text);
			Navigation.PopToRootAsync();
		}
	}
}